Subject: Re: [PATCH net-next 2/3] netlink: specs: update rt-rule src/dst attribute types to support IPv4 addresses

From: Hangbin Liu <[email-masked]>
Date: Mon, 10 Nov 2025 03:12:56 +0000

On Thu, Nov 06, 2025 at 03:07:24PM +0000, Asbjørn Sloth Tønnesen wrote:
> On 11/6/25 2:41 PM, Jakub Kicinski wrote:
> > On Thu, 6 Nov 2025 02:34:20 +0000 Hangbin Liu wrote:
> > > but genetlink-c.yaml doesn't have "ipv4-or-v6". Do you know why?
> > 
> > Probably just wasn't used until now. It should be in all the schemas.
> I couldn't find any other users, besides wireguard, as other families uses
> the ATTRv4 / ATTRv6 style attributes.
> 
> In commit 1b255e1beabf I wrote:
> > It only implements this display hint for genetlink-legacy, it
> > can be added to other protocol variants if needed, but we don't
> > want to encourage it's use.

Thanks for the comment. I will examine if other parts also need an update.

Regards
Hangbin